<?php

namespace Drupal\graphql_search_api_solr\Plugin\GraphQL\Wrappers;

use Solarium\Component\Result\Facet\Field;

/**
 * Class list of Facets wrapper.
 */
class FacetsList {

  /**
   * Facet field name.
   */
  public string $field;

  /**
   * Facet values.
   */
  public mixed $values;

  /**
   * Constructs data producer wrapper.
   *
   * @param string $facetName
   *   Facet name as defined in solr configuration.
   * @param \Solarium\Component\Result\Facet\Field $values
   *   Facet values.
   */
  public function __construct($facetName, Field $values) {

    $this->field = $facetName;
    foreach ($values as $value => $count) {
      $this->values[] = new FacetValue($facetName, $value, $count);
    }
  }

}
